{% extends 'base.html' %}

{% block additionalHeader %}
    <meta charset="utf-8">
    <title> Menggunakan Apparel - Create </title>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js" integrity="sha512-894YE6QWD5I59HgZOGReFYm4dnWc1Qt5NtvYSaNcOP+u1T9qYdvdihz0PPSiiqn/+/3e7Jo4EaG7TubfWGUrMQ==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
{% endblock %}

{% block content %}
{% include 'base.html' %}
    <h3>Form Buat Menggunakan Apparel</h3>
    {% if messages %}
        {% for message in messages %}
        <div class="alert alert-danger" role="alert">
            {{ message }}
        </div>
        {% endfor %}
    {% endif %}
    <form id="formAdd" method="post" action="{% url 'create-validation-menggunakan-apparel' %}" >
        {% csrf_token %}
        <div class="input-group mb-3">
            <label class="input-group-text" for="selectTokoh">Nama Tokoh: </label>
            <select name='tokoh' class="form-select" id="selectTokoh">
              <option value="">--Select--</option>
              {% for tokoh in hasil_tokoh %}
                <option value="{{ tokoh.nama }}""> {{tokoh.nama}} </option>
              {% endfor %}
            </select>
        </div>

        <div class="input-group mb-3">
            <label class="input-group-text" for="selectApparel">Apparel: </label>
            <select name = 'apparel' class="form-select" id="selectApparel">
              <option class="after" value="">--Select--</option>
            </select>
        </div>
        
        <input type="submit" value="Submit">
    </form>


    <script>
        $(document.body).on('change', "#formAdd select[name='tokoh']", function(){
            $("#formAdd select[name='apparel']").find('.after').nextAll().remove();;
            var $this = $(this);
            if ($this.val() != '') {
                $.ajax({
                        url: '/menggunakan_apparel/'+$this.val(),
                        type: 'GET',
                        success: function(response) {
                            let options = '';
                            response.data.forEach(apparel => {
                                options+='<option value='+apparel[0]+'>'+apparel[1]+'</option>';
                            });
                            $("#formAdd select[name='apparel']").find('.after').after(options);
                        }
                    });
                } else {
                    $("#formAdd select[name='apparel']").find('.after').nextAll().remove();
                }
            });
    </script>
{% endblock %}